AfraLisp Blog

The AutoLisp/Visual Lisp/VBA Resource Website

AfraLisp Blog

Home Newsletter Utter Rubbish Coding Tips AutoCAD Tips Contact Downloads WAUN

;CODING STARTS HERE
;This application will perform an Offset on multiple entities.
;Kenny Ramage - April 2000
;afralisp@mweb.com.na
;http://www.afralisp.com

(prompt "\nType MULTOFF to run....")

(defun c:multoff ( / off sel1 side n lng)

(setq off (getdist "\nOffset Distance : ")
sel1 (ssget)
side (getpoint "\nSelect Side to Offset: ")
n 0
lng (sslength sel1))

(repeat lng

(setq ent (ssname sel1 n))
(command "OFFSET" off ent side "")
(setq n (1+ n))

);repeat

(princ)

);defun

(princ)
;CODING ENDS HERE

Save this as "Multoff.lsp".

The AutoLisp/Visual Lisp/VBA Resource Website

Copyright © 1999-Perpetuity by AfraLisp

All rights reserved.
Information in this document is subject to change without notice.
Site created and maintained by Kenny Ramage

The AutoLisp/Visual Lisp/VBA Resource Website